# Uses of Class
java.awt.image.renderable.RenderContext

Packages that use RenderContext
Package
Description
java.awt.image.renderable
Provides classes and interfaces for producing rendering-independent images.

## Uses of RenderContext in java.awt.image.renderable

Methods in java.awt.image.renderable that return RenderContext
Modifier and Type
Method
Description
`RenderContext`
ContextualRenderedImageFactory.`mapRenderContext(int i, RenderContext renderContext, ParameterBlock paramBlock, RenderableImage image)`
Maps the operation's output RenderContext into a RenderContext for each of the operation's sources.
Methods in java.awt.image.renderable with parameters of type RenderContext
Modifier and Type
Method
Description
`RenderedImage`
ContextualRenderedImageFactory.`create(RenderContext renderContext, ParameterBlock paramBlock)`
Creates a rendering, given a RenderContext and a ParameterBlock containing the operation's sources and parameters.
`RenderedImage`
RenderableImage.`createRendering(RenderContext renderContext)`
Creates a RenderedImage that represented a rendering of this image using a given RenderContext.
`RenderedImage`
RenderableImageOp.`createRendering(RenderContext renderContext)`
Creates a RenderedImage which represents this RenderableImageOp (including its Renderable sources) rendered according to the given RenderContext.
`RenderContext`
ContextualRenderedImageFactory.`mapRenderContext(int i, RenderContext renderContext, ParameterBlock paramBlock, RenderableImage image)`
Maps the operation's output RenderContext into a RenderContext for each of the operation's sources.
`void`
RenderableImageProducer.`setRenderContext(RenderContext rc)`
Sets a new RenderContext to use for the next startProduction() call.
Constructors in java.awt.image.renderable with parameters of type RenderContext
Modifier
Constructor
Description
``
`RenderableImageProducer(RenderableImage rdblImage, RenderContext rc)`
Constructs a new RenderableImageProducer from a RenderableImage and a RenderContext.